VOP_MMAP(9)

NAME
VOP_MMAP - map a file into memory

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
int
VOP_MMAP(struct vnode *vp, int fflags, struct ucred *cred, struct proc *p);

DESCRIPTION
Map the contents of a file into memory using the VM system.

Its arguments are:

vp  the vnode of the file

fflags
    some flags ???

cred
    the caller's credentials

p   the calling process

Most filesystems do not implement this entry point.

PSEUDOCODE

    int
    vop_mmap(struct vnode *vp, int fflags,
    	   struct ucred *cred, struct proc *p)
    {
        return EINVAL;
    }

SEE ALSO
vnode(9)

AUTHORS
This man page was written by Doug Rabson.